
var $$ = Dom7;

/* 页面初始化 */
var myApp = new Framework7({

    precompileTemplates: true,
    template7Pages: true,
    //fastClicks:false,
    swipeBackPage: false,
    // 20150824 Brave 添加页面模板的预处理,使模板可以在自己页面被加载前找到,并赋值
        preprocess: function(content, url, next) {
            if (url === 'my_discount_toaccount.html') {
                native_my_discount_toaccount_template(content, next);
            } else if (url === 'my_discount_wallet.html') {
                native_my_discount_wallet_template(content, next);
            } else if (url === 'my_discount_withdraw.html') {
                native_my_discount_withdraw_template(content, next);
            } else if (url === 'my_netmoney_withrecharge.html') {
                native_my_netmoney_withrecharge_template(content, next);
            } else if (url === 'my_netmoney_withdraw.html') {
                native_my_netmoney_withdraw_template(content, next);
            } else {
                return content;
            }
        }
});

//定义ajax状态
$$(document).on('ajaxStart', function(e) {
    if(getAjaxCancelStatus()){
        console.log("Ajax转框取消...");
    }else{
        myApp.showIndicator();
    }
});
$$(document).on('ajaxComplete', function(e) {
    if(e.detail.xhr.timeout){
        myApp.alert("","请求超时");
    }
    if(getAjaxWaitStatus()){
        myApp.hideIndicator();
    }else{
        console.log("Ajax等待...");
    }
});
$$(document).on('ajaxError', function(e) {
    myApp.hideIndicator();
    console.log('e.detail.xhr = ' + JSON.stringify(e.detail.xhr));
    errorTip(e.detail.xhr.status);
});
$$(document).on('ajaxSuccess', function() {
    if(getAjaxWaitStatus()){
        console.log("Ajax等待...");
    }else{
        myApp.hideIndicator();
    }
});

// Add main view
var mainView = myApp.addView('.view-main', {domCache: false});

//整合 debug.js
function getDebug(){
    return true;
}

////整合 forIOStop.js
//var u = navigator.userAgent, app = navigator.appVersion;
//var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
//var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
//if(isiOS == true)
//{
//	$$('.views').addClass('ios');
//}

function errorTip(msg){
    switch(msg){
        case 0:
            myApp.alert("", "网络错误，请检查您的网络");
            break;
        case 401:
            myApp.alert("","未授权!");
            break;
        case 403:
            myApp.alert("","禁止访问!");
            break;
        case 404:
            myApp.alert("","请求不存在!");
            break;
        case 500:
            myApp.alert("","服务器内部错误!");
            break;
        case 503:
            myApp.alert("","服务器无法处理请求!");
            break;
        default:
            myApp.alert("","服务器访问失败!");
            break;
    }
}

//判断是否需要显示导航栏
function showNavi() {
    if (getDebug()) {
        if (phone == "android") {
            var theIndex_Home = httpUrl.getHome();
            var theIndex_Form = httpUrl.getForm();
            var theIndex_Shoppingcart = httpUrl.getShoppingcart();
            var theIndex_Order = httpUrl.getOrder();
            var theIndex_Mine = httpUrl.getMine();
            if (theIndex_Home == mainView.url) {
                jsFun_home.firstPage();
            } else if (theIndex_Form == mainView.url) {
                jsFun_form.firstPage();
            } else if (theIndex_Shoppingcart == mainView.url) {
                jsFun_shoppingCart.firstPage();
            } else if (theIndex_Order == mainView.url) {
                jsFun_order.firstPage();
            } else if (theIndex_Mine == mainView.url) {
                jsFun_mine.firstPage();
            }
        } else {
            //获取当前功能模块的TOPURL
            var theIndex_URL = native.getURL();
            //获取加载URL
            var aurl = mainView.url;
            //对加载URL进行过滤
            if (aurl.indexOf("/") > 0) {
                var cou = aurl.length;
                var st = aurl.lastIndexOf("/");
                var num = cou - st - 1;
                var don = aurl.substring(aurl.length - num, aurl.length);
                aurl = don;
            }
            //judge TOP VIEW
            if (theIndex_URL == aurl) {
                native.showNav();
            }
        }
    }
}

/** 控制Ajax转框 - 等待 **/
var isWaiting = 0; //是否需要等待
function controlAjaxLoaderUI_Waiting() {
    isWaiting = 1;
}

/** 控制Ajax转框 - 完成 **/
function controlAjaxLoaderUI_Complete() {
    isWaiting = 0;
    myApp.hideIndicator();
}

/** 控制Ajax转框 - 获取转框等待状态  **/
function getAjaxWaitStatus() {
    return isWaiting;
}


/** 控制Ajax转框 - 不启用 **/
var isCancel = 0;

function controlAjaxLoaderUI_Cancel() {
    isCancel = 1;
}

/** 控制Ajax转框 - 启用 **/
function controlAjaxLoaderUI_Open() {
    isCancel = 0;
}
/** 控制Ajax转框 - 获取转框取消状态 **/
function getAjaxCancelStatus() {
    return isCancel;
}


//折扣电子钱包状态  1-未激活 2-正常 3-已冻结
function walletTypeToDesc(walletType){
    var walletDesc;
    switch (walletType) {
        case 1:
            walletDesc = "未激活";
            break;
        case 2:
            walletDesc = "正常";
            break;
        case 3:
            walletDesc = "已冻结";
            break;
        default:
            console.log("网币开启状态转换描述没有找到 walletType = " + walletType);
            break;
    }
    return walletDesc;
}

//折扣电子钱包状态  1-未激活 2-正常 3-已冻结
function discountTypeToDesc(discountType){
    var discountDesc;
    switch (discountType) {
        case 1:
            discountDesc = "未激活";
            break;
        case 2:
            discountDesc = "正常";
            break;
        case 3:
            discountDesc = "已冻结";
            break;
        default:
            console.log("折扣开启状态转换描述没有找到 discountType = " + discountType);
            break;
    }
    return discountDesc;
}

var isconfigProgressStatus = 0
var progressStatus = 1
//获取转框状态
function getConfigProgressStatus(){
    return isconfigProgressStatus;
}

function getProgressStatus(){
    return progressStatus;
}
//修改转框状态 开启转框
function openProgress(){
    isconfigProgressStatus = 1;
    progressStatus = 1;
}
//修改转框状态 关闭转框
function stopProgress(){
    isconfigProgressStatus = 0;
    progressStatus = 0;
    myApp.hideIndicator();
}

//将报错rescode  转换为报错文字
function errorMessage(resCode){

   var retMessage = "服务器数据错误";
   var errorArray = Exception_Message.RECORDS;

   for (var i = 0; i < errorArray.length; i++) {
       var errorObj = errorArray[i];
       if (resCode == errorObj.CODE) {
          retMessage = errorObj.MESSAGE;
       };
   };
   myApp.alert("",retMessage);
}

//AJAX跳转时候需要的遮罩和指示符
function showAJAXpop(){
    var pop = "<div class='page-pop-ajax'>"+
                    "<span class='preloader preloader-ajax preloader-white'>"+
                    "</span>"+
              "</div>";
    $$('.view').append(pop);
}

function hideAJAXpop(){
    $$('.page-pop-ajax').remove();
}


