new_element=document.createElement("script");
new_element.setAttribute("type","text/javascript");
new_element.setAttribute("src","../js/native_order.js");
document.body.appendChild(new_element);

//说明:
//  本页面的数据 是由前面页面 order_unpay_edit.html 选择订单后传入数据
//  存储在orders_merge_orderIds中 该数据包含合计金额 和 订单号数组
//  根据orders_merge_orderIds得订单号 从全局订单数据中 找到订单详情数据 生成模板页面
//备注:本页面只有未支付订单和部分支付订单两种tab才能触发

//部分支付订单列表
myApp.onPageInit('order_pages',function(page) {
//    //orders_merge_orderIds 数据格式
//    orders_merge_orderIds = {"price":"438","data":[{"custId":"WSB151117110451602"},{"custId":"WAB151117003202638"}]}
    console.log("onPageInit-order_pages " + JSON.stringify(orders_merge_orderIds));

    /** 页面控件初始化 **/
    var nmwithrPicker = myApp.picker({
        input: '#order_withrechange',
        cols: [{
            textAlign: 'center',
            values: ['请选择', '线上支付', '线下支付']
        }]
    });

    /** 整合数据源和页面赋值 **/
    var orders_merge = [];
    $$('.OrderToolbar .total span span').html(orders_merge_orderIds.price);//底部悬浮框合计数量
    $$('#orderAmount').html(orders_merge_orderIds.price);//表单中合计数量

    /** 页面数据源整合 和 模板赋值 **/
    for (var i = 0; i < orders_merge_orderIds.data.length; i++) {
       var orderId = orders_merge_orderIds.data[i].custId;
       //如果当前选择的是未支付订单
       if (order_tab == 'nopay') {
            for (var j = 0; j < mergeOrderCache.length; j++) {
                var orderItem = mergeOrderCache[j];
                if (orderItem.orderSaleId == orderId) {
                    orders_merge.push(orderItem);
                };
            }
        };
        //如果当前选择的是部分支付订单 
        if (order_tab == 'partpay') {
           for (var j = 0; j < mergeOrderCache.length; j++) {
                var orderItem = mergeOrderCache[j];
                if (orderItem.orderSaleId == orderId) {
                    orders_merge.push(orderItem);
                };
           }
           // 20151017 add Brave 部分支付时 合并结算页面 电子钱包行隐藏
           $$('.page[data-page="order_pages"] .payment .wallet').hide();
        };
    };
    //给模板映射的订单详情的json数据
    var orders_merge_json = {};
    for(var i = 0;i < orders_merge.length; i++) {
        orders_merge_json[i] = orders_merge[i];
    }
    //订单信息映射到模板
    $$('#list-block-merge-settle').html(Template7.templates.template_order_merge_settle(orders_merge_json));

    //是否开启钱包支付逻辑
    $$('.page[data-page="order_pages"] .useWallet').change(function(event) {
        console.log("进入电子钱包按钮事件");
        if ($$('.page[data-page="order_pages"] .useWallet').is(':checked')) {
            console.log("进入电子钱包按钮事件 - 开启");
            //获取登录用户信息
            var loginInfo = getUserLoginInfo_order();
            //组装Url
            var httpUrl_ewallet_balance = httpHost + 'payment/ewallet?token=';
            var httpUrl = httpUrl_ewallet_balance + loginInfo.token;
            console.log("打印获取电子钱包的Url" + httpUrl_ewallet_balance);

            $$.ajax({
                url:httpUrl,
                type:'get',
                dataType:'json',
                success:function(json){
                    if (json.resCode == HTTP_OK) {
                        var obj = json.resData;
                        console.log("打印查看钱包余额的接口返回 = " + JSON.stringify(obj));
                        $$('.page[data-page="order_pages"] #settle_netcoin').html(obj.netWalletAmount);
                        //判断抵用的赋值
                        //if(钱够){赋值订单金额}else{钱不够:钱包全放里,再走@杜雷第三方}
                        var settle_netcoin_usable = 0;
                        var orderPrice = $$('.page[data-page="order_pages"] .OrderToolbar .total span span').html();
                        console.log("钱包金额 = " + obj.netWalletAmount);
                        console.log("订单金额 = " + orderPrice);
                        if( obj.netWalletAmount > orderPrice ){
                            console.log("钱够-赋值订单金额");
                            settle_netcoin_usable = orderPrice;
                            $$('.page[data-page="order_pages"] #settle_netcoin_usable').html(settle_netcoin_usable);
                            console.log("settle_netcoin_usable = " + settle_netcoin_usable);
                            $$('.page[data-page="order_pages"] .payment .itemForWallet').addClass('show');
                            console.log("itemForWallet add show class" );
                        }else{
                            console.log("钱不够-赋值钱包金额");
                            $$('.page[data-page="order_pages"] .useWallet').prop('checked',false);
                            myApp.alert("", "余额不足!");
                            return;
                        }
                    }else{
                        myApp.alert("", json.message);
                    }
                },
                error:function(xhr, status){
                    errorTip(status);
                }
            });
        } else {
            console.log("进入电子钱包按钮事件 - 关闭");
            $$('.page[data-page="order_pages"] .payment .itemForWallet').removeClass('show');
            $$('.page[data-page="order_pages"] #settle_netcoin').html('');
            $$('.page[data-page="order_pages"] #settle_netcoin_usable').html('');
        }
    });

    $$('.page[data-page="order_pages"] .mergepay').on('click', function(event) {
        console.log("进入合并结算确认按钮事件");

        //是否使用电子钱包
        var isUseWallet = $$('.useWallet').is(':checked');
        console.log('isUseWallet = ' + isUseWallet);
        //合并支付流程
        var paymentType = $$('#order_withrechange').val();
        //订单号数组
        //orders_merge_orderIds.data = {"data":[{"custId":"WSB151117110451602"},{"custId":"WAB151117003202638"}]}
        //需要整合成为 : orderIds = ["WSB151117110451602","WSB151117110451602"]
        var orderIds = new Array();
        if(orders_merge_orderIds.data){
            if(orders_merge_orderIds.data.length > 0){
                for(var i = 0; i < orders_merge_orderIds.data.length; i++){
                    orderIds.push(orders_merge_orderIds.data[i].custId);
                }
            }
        }
        console.log('orderIds = ' + JSON.stringify(orderIds));
        //订单状态
        var ordersStatus = 0;
        if(order_tab == 'nopay'){
           ordersStatus = 1;
        }else if(order_tab == 'partpay'){
           ordersStatus = 2;
        }else{
           console.log("未捕捉到order_tab类型 - 合并结算只能是nopay(1)或partpay(2) - order_tab = " + order_tab + " , ordersStatus(1或2) = " + ordersStatus);
        }
        //订单金额
        var orderPrice = $$('.page[data-page="order_pages"] .OrderToolbar .total span span').html();
        //订单PV
        var orderPv = orders_merge_orderIds.pv;
        console.log("打印 orderPv 赋值 = " + orderPv);
        //订单结算人-当前登录人ID
        var loginInfo = getUserLoginInfo_order();
        var orderCreateBy = loginInfo.userId;

        paymentSettleProcess(isUseWallet, paymentType, orderIds, ordersStatus, orderPrice, orderPv, orderCreateBy);

//        //参数
//        //  订单支付状态 1:未支付 2:部分支付 3:已支付
//        //  是否使用电子钱包 0:不用 1:使用 (或者true false)
//        //  线上/线下支付 传描述即可 '线上支付' '线下支付'
//        //  本单可用折扣
//        //  本单可用网币
//        //  订单金额
//        //function settleFunction (paymentStatus, isUseWallet, paymentType, settle_discount_usable, settle_netcoin_usable, settle_totalFee, orderNo){
//        var paymentType = $$('#order_withrechange').val();
//        var settle_netcoin_usable = $$('#settle_netcoin_usable').html();
//        var settle_totalFee = $$('#orderAmount').html();
//        console.log("合并结算 paymentType = "+ paymentType);
//        console.log("settle_netcoin_usable = "+ settle_netcoin_usable);
//        console.log("settle_totalFee = "+ settle_totalFee);
//
//        if(order_tab == 'nopay'){
//            console.log("订单支付状态-未支付");
//             if($$('.useWallet').is(':checked')){
//                if(settle_netcoin_usable == settle_totalFee){//钱够
//                   console.log("钱够-全部用电子钱包-电子钱包支付接口");
//                   /** ************ 组装请求Body ************ **/
//                   //请求BODY：
//                   //{
//                   //"paymentType": 1,
//                   //"orderIds": [
//                   //"150929183903138"
//                   //],
//                   //"mixPaymentType": 1
//                   //}
//                   var _httpBody = {};
//                   //1)拼装订单号:
//                   _httpBody.orderIds = new Array();
//                   for (var i = 0; i < orders_merge_orderIds.data.length; i++) {
//                      var orderId = orders_merge_orderIds.data[i].custId;
//                      _httpBody.orderIds.push(orderId);
//                   };
//                   //2)支付类型 : 1未支付，2部分支付
//                   if(order_tab == 'nopay'){
//                       _httpBody.paymentType = 1;
//                   }else if(order_tab == 'partpay'){
//                       _httpBody.paymentType = 2;
//                   }else{
//                       console.log("未捕捉到order_tab类型 - 合并结算只能是nopay(1)或partpay(2) - order_tab = " + order_tab);
//                   }
//                   //3)混合支付：0 -电子钱包混合支付 1 -全部线上/线下支付
//                   if ($$('.useWallet').is(':checked')) {
//                       console.log("钱包打开");
//                       _httpBody.mixPaymentType = 0;
//                   }else{
//                       console.log("钱包未开启");
//                       _httpBody.mixPaymentType = 1;
//                   }
//                   console.log("打印_httpBody = " + JSON.stringify(_httpBody));
//
//                   /** ************ 电子钱包支付接口 ************ **/
//                   //获取登录用户信息
//                   var loginInfo = getUserLoginInfo_order();
//                   var httpUrl_merge_pay = httpHost + 'order/batchPayment?token=' + loginInfo.token;
//                   console.log("打印httpUrl_merge_pay = " + httpUrl_merge_pay);
//
//                   $$.ajax({
//                       url: httpUrl_merge_pay,
//                       type: 'post',
//                       dataType: 'json',
//                       contentType:'application/json',
//                       data:JSON.stringify(_httpBody),
//                       success: function(json) {
//                           console.log("合并结算接口返回 = json" + JSON.stringify(json));
//                       },
//                       error: function(e,status) {
//                           console.log("合并结算接口 - Error - status = " + status);
//                           alert(status);
//                       }
//                   });
//                }else{
//                   console.log("钱不够先用钱包余额支付 + 二次支付(必须全款) - 这种情况不会出现!");
//                }
//             }else{
//                console.log("不使用电子钱包-必须全款");
//                if(paymentType == '线上支付'){
//                    console.log("线上支付-杜雷第三方支付—必须全款");
//                    //Todo @杜雷
//                }else{
//                    console.log("线下支付-完成");
//                }
//             }
//        }else if(order_tab == 'partpay'){
//            console.log("订单支付状态-部分支付-不能使用电子钱包-必须全款");
//            if(paymentType == '线上支付'){
//                console.log("线上支付-杜雷第三方支付—必须全款");
//                //Todo @杜雷
//            }else{
//                console.log("线下支付-完成");
//            }
//        }

//        var paymentType = $$('#order_withrechange').val();
//        if (paymentType == '线上支付') {
//            $$('.btn').href = "purchase_online_payment.html";
//            //todo 拼接三方支付提交接口
//        };
//        if (paymentType == '线下支付') {
//            //todo 跳转到某页 待定
//            $$('.btn').href = "#";
//        };
    });
});

