
/** 订单类型转订单描述 **/
function orderTypeToDesc(orderType) {

    var orderTypeName = "";
    switch (orderType) {
        case 1:
            orderTypeName = "消费订单"
            break;
        case 2:
            orderTypeName = "业绩调拨"
            break;
        case 3:
            orderTypeName = "首次资格"
            break;
        case 4:
            orderTypeName = "普通升级"
            break;
        case 7:
            orderTypeName = "店铺进货"
            break;
        case 13:
            orderTypeName = "退货订单"
            break;
        case 14:
            orderTypeName = "换货订单"
            break;
        default:
            console.log("订单类型转换描述没有找到 orderType = " + orderType);
            break;
    }
    return orderTypeName;

}

//paymentType 线上/线下支付
//paymentStatus 已支付/部分支付/未支付

/** 支付类型转订单描述 **/
function paymentStatusToDesc(paymentStatus) {

    var paymentStatusDesc = "";
    switch (paymentStatus) {
        case 1:
            paymentStatusDesc = "未支付";
            break;
        case 2:
            paymentStatusDesc = "部分支付";
            break;
        case 3:
            paymentStatusDesc = "已支付";
            break;
        default:
            console.log("支付状态转换描述没有找到 paymentStatus = " + paymentStatus);
            break;
    }
    return paymentStatusDesc;

}

function shipmentTypeToDesc(shipmentType){
    var shipmentTypeDesc = "";
    switch (shipmentType) {
        case 0:
            shipmentTypeDesc = "部分发货";
            break;
        case 1:
            shipmentTypeDesc = "全部发货";
            break;
        default:
            console.log("发货状态转换描述没有找到" + shipmentType);
            break;
    }
    return shipmentTypeDesc;

}

/** 根据订单状态返回跳转的订单详情URL-Host **/
function orderTypeToDetail_URL(orderType) {

    var gotoUrl = '';
    if (orderType == 13) { // 退货订单详情
        gotoUrl = 'order_return_info.html?orderSaleId=';
    } else if (orderType == 14) { // 换货订单详情
        gotoUrl = 'order_change_info.html?orderSaleId=';
    } else if (orderType == 7) { // 进货订单详情
        gotoUrl = 'order_info.html?orderSaleId=';
    } else { // 订单详情
        gotoUrl = 'order_info.html?orderSaleId=';
    }
    return gotoUrl;

}

/** 根据订单状态返回订单详情页面的Title **/
function orderTypeToDetail_Title(orderType) {

    var title = '';
    if (orderType == 7) { //进货订单详情
        title = '进货订单详情';
    } else { // 订单详情
        title = '订单详情';
    }
    return title;

}

//根据订单产品信息 获取产品详细 返回产品明细的Json对象
function getProductDetail(productArray, productListTitle) {

    if (productArray != null && productArray.length > 0) {
        console.log("本批需要获取明细的产品数量 = " + productArray.length);
        for (var j = 0; j < productArray.length; j++) {
            console.log("打印本次要解析的数据 = " + JSON.stringify(productArray[j]));
            var id = productArray[j].productId; //productSKUId
            console.log("循环-根据产品id取详情 : productId = " + id);
            if (getDebug()) {
                var productItem;
                if (phone == "android") {
                    productItem = jsFun_order.getProductById(id);
                } else {
                    productItem = native.fetchProductWithProductId(id);
                }
                console.log("根据id获取产品明细 = " + JSON.stringify(productItem));
                productArray[j].productItem = eval("(" + productItem + ")");
            }
        }
    } else {
        console.log("无要获取的产品数量");
    }

    //组装数据源
    var returnOrder = {};
    returnOrder.productListTitle = productListTitle;
    returnOrder.orderItems = productArray;

    return returnOrder;

}

//根据订单产品信息 获取产品详细 返回产品明细的Json对象
function getUserLoginInfo_order() {
    var json_loginInfo;
    if (phone == 'android') {
        //todo save
        json_loginInfo = jsFun_login.readLoginInfo();
    } else {
        json_loginInfo = native.getLoginInfo();
    };
    var loginInfo = eval("(" + json_loginInfo + ")");
    return loginInfo;
}

var paymentNotEnough = 1;   //支付金额不够
var paymentEnough = 0;   //支付金额足够

/** **************************** 单独结算相关Function **************************** **/
var ePayProcess_orderNo_Cache;
var ePayProcess_orderPrice_Cache;
var ePayProcess_orderPv_Cache;
var ePayProcess_netWalletAmount_Cache;//缓存结算输入的网币金额
var ePayProcess_callBack_Cache;//对callBack的缓存
var ePayProcessType = 0;// 0: 单独支付 1:合并支付
// 20151111 add by Brave 根据娜娜提供的支付逻辑重新梳理,简化了支付逻辑的判断过程,封装调用
// isUseWallet : 是否使用电子钱包支付
// paymentType : 支付方式控件值 - 请选择 线上支付 线下支付
// orderId     : 订单Id  (电子钱包支付,第三方支付接口使用)
// orderPv     : 订单总PV(第三方支付完成后显示使用)
// orderPrice  : 订单实付款(不使用钱包时线下支付-第三方支付参数)
// orderType   : 订单类型(第三方支付接口使用)
// callBack : 当网币支付后,剩余金额跳转到第三方前,将电子钱包UI关闭,并将折扣,网币置为0
function paymentProcess(isUseWallet, paymentType, orderId, orderPrice, orderPv, orderType, netWalletAmount, callBack){
    console.log("进入结算流程 orderId = " + orderId);
    ePayProcess_orderNo_Cache = orderId;
    console.log("进入结算流程 ePayProcess_orderNo_Cache = " + ePayProcess_orderNo_Cache);
    ePayProcess_orderPrice_Cache = orderPrice;
    ePayProcess_orderPv_Cache = orderPv;
    ePayProcess_netWalletAmount_Cache = netWalletAmount;
    console.log("进入结算流程 ePayProcess_netWalletAmount_Cache = " + ePayProcess_netWalletAmount_Cache);
    ePayProcess_callBack_Cache = callBack;
    ePayProcessType = 0;
    //使用通付盾结算并回调电子钱支付的接口
    var purchase_ewallet_online = 5;
    var purchase_ewallet_offline = 6;

    if(paymentType == '请选择'){
        if(isUseWallet){
            console.log('支付方式:请选择,使用电子钱包--不管钱够不够,只走电子钱包');
            //电子钱包支付接口
            ePayProcess(purchase_ewallet_online);
        }else{
            myApp.alert("", '请选择支付方式');
            return;
        }
    }else if(paymentType == '线上支付'){
        if(isUseWallet){
            console.log("支付方式:线上支付,使用电子钱包-调用电子钱包支付接口");
            ePayProcess(purchase_ewallet_online);//电子钱包支付后返回的Json 如果全部支付返回null 如果仍需支付返回Json
        }else{
            console.log("支付方式:线上支付,不使用电子钱包--走第三方支付接口");
            //第三方支付--返回的Json传递给第三方function
            var ePayJson = {};
            ePayJson.flag = 0;//单独结算
            var data ={};
            data.orderSaleId = orderId;
//                data.paymentType = 0;//此值由第三方内部赋值
            data.actionType = 0;//正向流程
            data.paymentFee = Number(orderPrice);
            data.pv = Number(orderPv);
            ePayJson.data = data;
            forThreePay(ePayJson);
        }
    }else if(paymentType == '线下支付'){
        if(isUseWallet){
            console.log('支付方式:线下支付,使用电子钱包--不管钱够不够,只走电子钱包');
            //电子钱包支付接口
            ePayProcess(purchase_ewallet_offline);
        }else{
            console.log("支付方式:线下支付,不使用电子钱包--流程结束,什么都不做!-直接跳转结算页面 48小时");
            forFinishPay_Order(orderId,orderPrice,orderPv,paymentNotEnough,0);
        }
    }else{
        console.log('异常:未捕捉到支付类型 paymentType = ' + paymentType);
    }
}

/** **************************** 合并结算相关Function **************************** **/
var ePayProcess_ordersStatus_Cache;
var ePayProcess_isUseWallet_Cache;
//合并支付流程
// 20151111 add by Brave 根据娜娜提供的支付逻辑重新梳理,简化了支付逻辑的判断过程,封装调用
// 合并结算需求:
//    部分支付下:不能使用电子钱包,1)线上线下需要一次性付清,2)请选择时需要提示选择支付方式
//    未支付下:可以使用电子钱包(不能使用折扣,需要前必须够,不够弹出提示并关闭钱包),2)线上,线下需要一次付清
// isUseWallet : 是否使用电子钱包支付
// paymentType : 支付方式控件值 - 请选择 线上支付 线下支付
// orderIds    : 订单Id数组  (电子钱包支付,第三方支付接口使用)
// ordersStatus : 订单状态 1:未支付 2:部分支付
// orderPrice  : 订单实付款(不使用钱包时线下支付-第三方支付参数)
// orderPv     : 订单总PV(第三方支付完成后显示使用)
// orderCreateBy : 结账人Id
function paymentSettleProcess(isUseWallet, paymentType, orderIds, ordersStatus, orderPrice, orderPv, orderCreateBy){
    ePayProcess_orderNo_Cache = orderIds;
    ePayProcess_orderPrice_Cache = orderPrice;
    ePayProcess_orderPv_Cache = orderPv;
    ePayProcess_ordersStatus_Cache = ordersStatus;
    ePayProcess_isUseWallet_Cache = isUseWallet;
    ePayProcessType = 1 ;
    if(paymentType == '请选择'){
        if(isUseWallet){
            console.log('支付方式:请选择,使用电子钱包--合并结算:不能使用折扣,需要前必须够,不够弹出提示并关闭钱包');
            //电子钱包支付接口
            var purchase_ewallet_online = 5;
            ePayProcess(purchase_ewallet_online);
        }else{
            myApp.alert("", '请选择支付方式');
            return;
        }
    }else if(paymentType == '线上支付'){
        if(isUseWallet){
            console.log("支付方式:线上支付,使用电子钱包-只能选择一种支付方式");
            myApp.alert("", "只能选择一种支付方式");
            return;
        }else{
            console.log("支付方式:线上支付,不使用电子钱包--合并结算:走第三方支付接口");
            //第三方支付--返回的Json传递给第三方function
            var ePayJson = {};
            ePayJson.flag = 1;//合并结算
            var data ={};
            data.orderIds = orderIds;
            data.paymentParam = ordersStatus;
//                data.paymentType = 0;//此值由第三方内部赋值
            data.actionType = 0;//正向流程
            data.paymentFee = Number(orderPrice);
            data.pv = Number(orderPv);
            data.orderCreateBy = orderCreateBy;//结账人Id
            ePayJson.data = data;
            forThreePay(ePayJson);
        }
    }else if(paymentType == '线下支付'){
        if(isUseWallet){
            console.log('支付方式:线下支付,使用电子钱包--只能选择一种支付方式');
            myApp.alert("", "只能选择一种支付方式");
            return;
        }else{
            console.log("支付方式:线下支付,不使用电子钱包--合并结算:流程结束,什么都不做!-直接跳转");
            forFinishPay_Order(orderIds,orderPrice,orderPv,paymentNotEnough, 1);
        }
    }else{
        console.log('异常:未捕捉到支付类型 paymentType = ' + paymentType);
    }
}

/** 电子钱包支付接口 -合并支付 **/
// orderNos : 传递订单号集合
// ordersStatus : 订单(s)的状态 1:未支付 2:部分支付
// return  : 当有剩余未结算金额时 return第三方支付格式的Json
function ePayAjax_settle(orderIds, ordersStatus, isUseWallet,orderPrice, orderPv, password){
    /** ************ 组装请求Body ************ **/
    //请求BODY：
    //{
    //"paymentType": 1,     //订单的支付方式 1:未支付进入合并结算 2:部分支付进入合并结算
    //"orderIds": [
    //"150929183903138"
    //],
    //"mixPaymentType": 1   //0:全部电子钱包支付 1:线上/线下
    //}

    /** ************ 拼装接口Body ************ **/
    var _httpBody = {};
    //1)拼装订单号: - 前面做了
//    _httpBody.orderIds = new Array();
//    for (var i = 0; i < orderIds.length; i++) {
//      var orderId = orderIds[i].custId;
//      _httpBody.orderIds.push(orderId);
//    };
    _httpBody.orderIds = orderIds;
    //2)拼装支付类型(订单支付状态) - 1 : 未支付 2 : 部分支付
    _httpBody.paymentType = ordersStatus;
    //3)混合支付 - 0 : 电子钱包混合支付 1 : 全部线上/线下支付   - 需求待定:目前使用老逻辑 判断钱包是否使用
    if (isUseWallet) {
       console.log("钱包打开,混合支付mixPaymentType=0");
       _httpBody.mixPaymentType = 0;
    }else{
       console.log("钱包未开启,混合支付mixPaymentType=1");
       _httpBody.mixPaymentType = 1;
    }
    console.log("打印_httpBody = " + JSON.stringify(_httpBody));

    /** ************ 电子钱包支付接口 ************ **/
    //获取登录用户信息
    var loginInfo = getUserLoginInfo_order();
    var httpUrl_merge_pay = httpHost + 'order/batchPayment?token=' + loginInfo.token;
    console.log("打印httpUrl_merge_pay = " + httpUrl_merge_pay);

    $$.ajax({
       url: httpUrl_merge_pay,
       type: 'post',
       dataType: 'json',
       contentType:'application/json',
       data:JSON.stringify(_httpBody),
       success: function(json) {
           console.log("合并结算接口返回 = json" + JSON.stringify(json));
           forFinishPay_Order(orderIds,orderPrice,orderPv,paymentEnough,1);
       },
       error: function(e,status) {
           console.log("合并结算接口 - Error - status = " + status);
       }
    });
}

/** 电子钱包支付流程 - 单独支付 **/
// orderNo : 传递订单号
// isOnlineCode : 线上 4:线下
function ePayProcess(isOnlineCode){
    if (phone == "android") {
        jsFun_mine.fasong(isOnlineCode); // 5: 线上 6:线下
    } else {
        native.confirmtwice(isOnlineCode);
    }
}

//电子钱包与线上支付 由原生程序吊起
function purchase_ewallet_online(password){
    console.log("进入JS-purchase_ewallet_online password = " + password);
    if(!ePayProcessType){//0:单独支付
        //单独支付
        console.log("ePayProcess_orderNo_Cache = " + ePayProcess_orderNo_Cache);
        ePayAjax_purchase_online(ePayProcess_orderNo_Cache, ePayProcess_orderPrice_Cache, ePayProcess_orderPv_Cache, ePayProcess_netWalletAmount_Cache, password, ePayProcess_callBack_Cache);
    }else{//1:合并支付
        //合并支付
        ePayAjax_settle(ePayProcess_orderNo_Cache, ePayProcess_ordersStatus_Cache, ePayProcess_isUseWallet_Cache, ePayProcess_orderPrice_Cache, ePayProcess_orderPv_Cache, password);
    }
}

//电子钱包与线下支付 由原生程序吊起
function purchase_ewallet_offline(password){
    console.log("进入JS-purchase_ewallet_offline password = " + password);
    ePayAjax_purchase_offline(ePayProcess_orderNo_Cache, ePayProcess_orderPrice_Cache, ePayProcess_orderPv_Cache, ePayProcess_netWalletAmount_Cache, password);
}

///** 电子钱包支付接口 -单独支付 **/
//// orderNo : 传递订单号
//// passWord : MD5加密后的电子钱包密码
//// return  : 当有剩余未结算金额时 return第三方支付格式的Json
//function ePayAjax(orderNo, passWordMD5){
//
//    // 组装请求Body
//    var _httpBody = {};
//    _httpBody.orderNo =  orderNo;//订单号
//    _httpBody.password = passWordMD5;
//    console.log("打印_httpBody = " + JSON.stringify(_httpBody));
//    // 获取登录用户信息
//    var loginInfo = getUserLoginInfo_order();
//    // 拼装URL
//    httpUrl_ewallet_pay = httpHost + 'order/orderPay?token=' + loginInfo.token;
//    console.log("打印httpUrl_ewallet_pay = " + httpUrl_ewallet_pay);
//
//    $$.ajax({
//        url: httpUrl_ewallet_pay,
//        type: 'post',
//        contentType:'application/json',
//        data:JSON.stringify(_httpBody),
//        dataType: 'json',
//        success: function(json) {
//            console.log("进入Success");
//            console.log("钱包支付接口返回 json = " + JSON.stringify(json));
//            //eg:{"payable":0,"orderNo":"WSB151110155025815","orderType":1}
//            if(json.payable > 0){//继续支付
//                var ePayJson = json;
//                console.log("电子钱包支付接口返回Json = " + JSON.stringify(ePayJson));
//                //第三方支付--返回的Json传递给第三方function
//                ePayJson.flag = 0;//单独结算
//                var data ={};
//                data.orderSaleId = orderId;
////                data.paymentType = 0;//此值由第三方内部赋值
//                data.actionType = 0;//正向流程
//                data.paymentFee = Number(ePayJson.payable);
//                data.pv = Number(orderPv);
//                ePayJson.data = data;
//                forThreePay(ePayJson);
//            }else{
//                console.log("电子钱包支付接口返回Json = null");
//                console.log("支付方式:线上支付,使用电子钱包,完全支付,流程结束");
//            }
//        },
//        error: function(e,status) {
//            console.log("钱包支付接口 - Error - status = " + status);
//            alert(status);
//        }
//    });
//}

/** 第三方支付接口 **/
// delete By Brave 20151116 --> 接口协议变更-原始协议内容 :  payJson : 第三方支付接口需要的Json数据 - eg:{"payable":0,"orderNo":"WSB151110155025815","orderType":"消费订单","orderPv":100}
// add By Brave 20151116 -->接口协议变更-新协议payJson:
//1:单独结算时的payJson:
//{
//    "flag": 0,//0为单个订单结算 1为合并结算
//    "data": {
//        "orderSaleId": "140611161016",//结算的订单号
//        "paymentType": 10,//10支付宝 11微信
//        "actionType": 0,//0正向流程  1逆向流程
//        "paymentFee": 21.9,//金额
//        "pv": 1000//pv
//    }
//}
//2:合并结算时的payJson:
//{
//    "flag": 1,//0为单个订单结算 1为合并结算
//    "data": {
//        "orderIds": [//结算的订单号数组
//            "140611161016",
//            "1406111610162"
//        ],
//        "paymentParam": 1,//1为未支付，2为部分支付
//        "paymentType": 0,//支付类型（支付宝，微信等）
//        "paymentFee": 21.9,//金额
//        "pv": 1000,//pv
//        "orderCreateBy": "440008"//结账人的编号id
//    }
//}

function forThreePay (payJson){
    //test
//    payJson.data.paymentFee = 0.01;
    console.log("线上支付-第三方支付—必须全款 payJson = " + JSON.stringify(payJson));

    if (phone == "android") {
        orderPayInfo.startPay(JSON.stringify(payJson));
    } else {
        native.startPay(JSON.stringify(payJson));
    }
}

/** 电子钱包支付接口 **/
// orderNo : 传递订单号
// callBack : 当网币支付后,剩余金额跳转到第三方前,将电子钱包UI关闭,并将折扣,网币置为0
// return  : 当有剩余未结算金额时 return第三方支付格式的Json
// 给线上使用的电子钱包
function ePayAjax_purchase_online(orderNo, orderPrice, orderPv, netWalletAmount, password, callBack){
    // 组装请求Body
    var _httpBody = {};
    _httpBody.orderNo =  orderNo;//订单号
    _httpBody.password = password;//支付密码
    _httpBody.netWalletAmount = netWalletAmount;//使用网币金额值

    console.log("打印_httpBody = " + JSON.stringify(_httpBody));

    var loginInfo , json_loginInfo ;
    if (phone == 'android') {
        json_loginInfo = jsFun_login.readLoginInfo();
    } else {
        json_loginInfo = native.getLoginInfo();
    };
    loginInfo = eval("(" + json_loginInfo + ")");
    // 拼装URL
    httpUrl_ewallet_pay = httpHost + 'order/orderPay?token=' + loginInfo.token;
    console.log("打印httpUrl_ewallet_pay = " + httpUrl_ewallet_pay);
    if (phone != 'android') {
        native.log("打印httpUrl_ewallet_pay = " + httpUrl_ewallet_pay);
    };

    $$.ajax({
        url: httpUrl_ewallet_pay,
        type: 'post',
        contentType:'application/json',
        data:JSON.stringify(_httpBody),
        dataType: 'json',
        success: function(json) {
            //todo 友情提示:这里就是没有resCode的不要加判断
            console.log("进入Success");
            console.log("钱包支付接口返回 json = " + JSON.stringify(json));
            if(json.resCode){
                if(json.resCode == HTTP_PASSWORD_ERROR){
                    myApp.alert("", json.message);
                    return;
                }
            }else{
                if (phone != 'android') {
                    native.log("钱包支付接口返回 json = " + JSON.stringify(json));
                };
                //{"payable":0,"orderNo":"WSB151110155025815","orderType":1}
                //电子钱包足够支付 直接走完成页面 不会进入支付页面
                json.payable = 93;//test
                if (json.payable == 0) {
                    forFinishPay_Order(orderNo,orderPrice,orderPv,paymentEnough,0);
                };
                //电子钱包不够支付 如果是和线上配合 则进入三方支付
                if(json.payable > 0){
                    // 20160204 Brave 当网币支付后,剩余金额跳转到第三方前,将电子钱包UI关闭,并将折扣,网币置为0
                    callBack(json.payable);
                    var ePayJson = json;
                    ePayJson.orderType = orderTypeToDesc(json.orderType);//id转描述
                    //eg:{"payable":0,"orderNo":"WSB151110155025815","orderType":"消费订单","orderPv":100}
                    console.log("电子钱包支付接口返回Json = " + JSON.stringify(ePayJson));
                    if (phone != 'android') {
                        native.log("电子钱包支付接口返回Json = " + JSON.stringify(ePayJson));
                    };
                    //第三方支付--返回的Json传递给第三方function
                    ePayJson.flag = 0;//单独结算
                    var data ={};
                    data.orderSaleId = orderNo;
    //                data.paymentType = 0;//此值由第三方内部赋值
                    data.actionType = 0;//正向流程
                    data.paymentFee = Number(ePayJson.payable);
                    data.pv = Number(orderPv);
                    ePayJson.data = data;
                    forThreePay(ePayJson);
                }
            }
        },
        error: function(e,status) {
            console.log("钱包支付接口 - Error = " +e.responseText );
        }
    });
}

//给线下支付使用的电子钱包支付流程 无论电子钱包 钱够不够 都可以跳转到完成页面
function ePayAjax_purchase_offline(orderNo, orderPrice, orderPv, netWalletAmount, password){
    // 组装请求Body
    var _httpBody = {};
    _httpBody.orderNo =  orderNo;//订单号
    _httpBody.password = password;//支付密码hex_md5(password)
    _httpBody.netWalletAmount = netWalletAmount;//使用网币金额值
    console.log("打印_httpBody = " + JSON.stringify(_httpBody));

    var loginInfo , json_loginInfo ;
    if (phone == 'android') {
        json_loginInfo = jsFun_login.readLoginInfo();
    } else {
        json_loginInfo = native.getLoginInfo();
    };
    loginInfo = eval("(" + json_loginInfo + ")");

    httpUrl_ewallet_pay = httpHost + 'order/orderPay?token=' + loginInfo.token;
    console.log("打印httpUrl_ewallet_pay = " + httpUrl_ewallet_pay);
    if (phone != 'android') {
        native.log("打印httpUrl_ewallet_pay = " + httpUrl_ewallet_pay);
    };

    $$.ajax({
        url: httpUrl_ewallet_pay,
        type: 'post',
        contentType:'application/json',
        data:JSON.stringify(_httpBody),
        dataType: 'json',
        success: function(json) {
            //todo 友情提示:这里就是没有resCode的不要加判断
            console.log("进入Success 返回json = " + JSON.stringify(json));
            if(json.resCode){
                if(json.resCode == HTTP_PASSWORD_ERROR){
                    myApp.alert("", json.message);
                    return;
                }
            }else{
                if (phone != 'android') {
                    native.log("钱包支付接口返回 json = " + JSON.stringify(json));
                };
                //{"payable":0,"orderNo":"WSB151110155025815","orderType":1}
                //不管电子钱包够不够支付 直接走完成页面 不会进入支付页面
                if (json.payable == 0) {
                    forFinishPay_Order(orderNo,orderPrice,orderPv,paymentEnough,0);
                };
                //电子钱包不够支付 如果是和线上配合 则进入三方支付
                if(json.payable > 0){
                    forFinishPay_Order(orderNo,orderPrice,orderPv,paymentNotEnough,0);无
                };
            }
        },
        error: function(e,status) {
            console.log("钱包支付接口 - Error - status = " + status);
        }
    });
}

//直接进入完成页面
function forFinishPay_Order(orderNo, orderPrice, orderPv, status, flag){
    if (phone == 'android') {
        orderPayInfo.gotoFormResult(status, orderPrice, orderPv, orderNo, flag);
    }else{
        native.payfinish('success',orderPv,orderPrice,status,orderNo, flag);
    };
}

//跳转到订单详情页面- 有JSP页面回调
function toOrderDetail(orderId){
    mainView.router.loadPage("order_info.html?orderSaleId=" + orderId);
}

//跳转到订单详情页面- 有JSP页面回调
function toOrderDetail_change(orderId){
    mainView.router.loadPage("order_change_info.html?orderSaleId=" + orderId);
}

/** 是否清栈跳转 isToIndex = 0 清栈跳转**/
//isToIndex 默认为清栈跳转,只有在订单列表看详情时不清栈
//所以:如果isToIndex=undefinded 清栈    isToIndex = 1 不清站
function isToIndex (isToIndex){
    console.log("进入isToIndex = " + isToIndex);
    if(isToIndex == 1){
        return false;
    }else{//undefinded
        return true;
    }
}

//报单模块 返回首页
$$(document).on('pageInit', function (e) {
  $$('#purchase-tohome').on('click',function(event) {
       mainView.router.back(
            {
                url: 'purchase_station.html',
                ignoreCache: true,
                force : true
            }
        );
        if (phone == 'android') {

        }else{
            native.showNavBar();
        };
  });

  $$('#purchase-tohome_det').on('click',function(event) {
       mainView.router.back(
            {
                url: 'purchase_dealer.html',
                ignoreCache: true,
                force : true
            }
       );
  });

  $$('#order-tohome').on('click',function(event) {
       mainView.router.back(
            {
                url: 'order_changeandreturn_item.html',
                ignoreCache: true,
                force : true
            }
       );
  });

  $$('#order-tohome_mysta').on('click',function(event) {
       mainView.router.back(
            {
                url: 'my_station.html',
                ignoreCache: true,
                force : true
            }
       );
  });

  $$('#purchase-tohome-pas').on('click',function(event) {
       if(Thispage == 'dealer'){
            mainView.router.back(
                {
                    url: 'purchase_dealer.html',
                    ignoreCache: true,
                    force : true
                }
            );
       }else{
            mainView.router.back(
                {
                    url: 'purchase_station.html',
                    ignoreCache: true,
                    force : true
                }
            );
       }
  });
});

//校验库存 - 校验接口返回信息的库存状态 - 凡是返回给我都是不能打欠的
function checkWareHouseProduct(jsonObj){
  //校验库存返回＝{"resCode":0,"resData":[{"productId":"10002182","quantity":3,"bundleFlag":0,"amount":3,"oostockQuantity":21}],"message":"success"}
  console.log("进入 checkWareHouseProduct方法");
  var returnObj = {};
  var arr = jsonObj.resData;
  console.log("打印arr = " + JSON.stringify(arr));
  if(arr.length > 0){
      var _isOostock = 0, _id=0, _oostock=0, _productDesc="", _msg="";
      for(var i = 0; i < arr.length; i++){
          productItem = arr[i];
          if(productItem.oostockQuantity > 0){
              _isOostock = 1;
              _id = productItem.productId;
              //根据id取产品名称
              if (phone == "android") {
              console.log("")
                  console.log("jsFun_order.getProductById(_id) = " + jsFun_order.getProductById(_id));
                  _productName = eval("(" + jsFun_order.getProductById(_id) + ")").productName;
                  console.log("_productName = " + _productName);
              } else {
                  _productName = eval("(" + native.fetchProductWithProductId(_id) + ")").productName;
              }
              _oostock = productItem.oostockQuantity;
              _msg += "产品:" + _productName + ", 缺货" + _oostock + "件;";
              console.log("产品:" + _productName + ", 缺货" + _oostock + "件");
          }else{

          }
      }

      //拼返回Json
      returnObj.isOostock = _isOostock;   //是否缺货
      returnObj.message = _msg;           //缺货Message
      return returnObj;
  }
}




