﻿//uri:/member/state/checking?userId={USER_ID}&orderType={ORDER_TYPE}&roleType={ROLE_TYPE}
//method:post
//example:
//POST/member/state/checking?userId=440005&orderType=1&roleType=store&token=czZCaGRSa3F0MzpnWDFmQmF0M2JW  HTTP/1.1
//Host: server.example.com
//
//response body:
////success:
//{
//  "resCode":0,
//  "resData":true
//}
////fail:
//{
//   "resCode":1,
//   "message":"xxxxxxxxxxxxxxx"
//}
/** **************** 用户状态检查 **************** **/
//userId : 验证用户的ID eg: 440005 101117175622
//orderType : 订单类型 eg: 1
//roleType : 角色类型 eg: agent store
//token : 当前登陆用户Token
//callback : 回调继续流程
function checkUserStatus(userId, orderType, callback) {
    var roleType;
    if(userId.length == 6){
        roleType = 1;
    }else if(userId.length == 12){
        roleType = 0;
    }
    var loginInfo = eval("(" + getUserLoginInfo() + ")");
    var checkUserStatusHttp = httpHost + "member/state/checking?userId="+userId+"&orderType="+orderType+"&roleType="+roleType+"&token="+loginInfo.token;
    console.log("打印checkUserStatusHttp = " + checkUserStatusHttp);
    openProgress();
    $$.ajax({
        url: checkUserStatusHttp,
        type: 'post',
        dataType: 'json',
        contentType: 'application/json;charset=utf-8',
        success: function(json) {
            console.log("用户状态检查接口返回Json = " + JSON.stringify(json));
            if(json.resCode == 0){// 0 : 成功
                stopProgress();
                console.log("用户状态检查接口成功-继续流程");
                callback(1,userId, loginInfo);
            }else{ // 1: 失败 alert(message)
                stopProgress();
                myApp.alert("", json.message);
                callback(0,userId, loginInfo);
            }
        },
        error: function(e) {
            stopProgress();
            console.log("进入error e.responseText = " + JSON.stringify(e.responseText));
        }
    });
}

// 根据产品ID获取产品信息,捕捉 oweFlag;//打欠标志 0-允许打欠 1-不允许打欠  如果有允许打欠的产品  需要返回选择
//return turn:包含允许打欠
function checkProductIsOweFlag(selectProductObj){
  var isOweFlag = false;
  var orderArray = selectProductObj.composeList;
  var productArray;
  for (var i = 0; i < orderArray.length; i++) {
      productArray = orderArray[i].product;
      if (productArray.oweFlag == 0){//允许打欠
        console.log("发现允许打欠产品,终止循环,返回true(存在允许打欠产品) i = " + i);
        isOweFlag = true;
        break;
      }else{
        console.log("i = " + i);
      }
  }
  return isOweFlag;
}

